/*======================================AI写真======================================*/
package main

import (
	"bytes"
	"crypto/md5"
	"encoding/base64"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"net/http"
	"strconv"
	"time"

)

func MD5ProtraitAiQuery(v string) string {
	d := []byte(v)
	m := md5.New()
	m.Write(d)
	b := m.Sum(nil)
	return base64.StdEncoding.EncodeToString([]byte(b))
}

func main() {
	appCode := "你的appcode"
	PortraitAIQueryURl := "https://swapface-api.segapi.com/query"

	client := &http.Client{}
	data := make(map[string]interface{})
	data["job_id"] = "5e34efdc4164488690ea1349475a069d" //任务ID

	bytesData, _ := json.Marshal(data)
	req, _ := http.NewRequest("POST", PortraitAIQueryURl, bytes.NewReader(bytesData))
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("Authorization", "APPCODE "+appCode)

	md5Str := MD5ProtraitAiQuery(string(bytesData))
	req.Header.Set("Content-MD5", md5Str)
	currentTimestampMillis := time.Now().UnixNano() / int64(time.Millisecond)
	currentTimestampMillisStr := strconv.FormatInt(currentTimestampMillis, 10)
	req.Header.Set("X-Ca-Nonce", currentTimestampMillisStr) //请求标示 推荐使用uuid


	resp, _ := client.Do(req)
	fmt.Println(resp.Header)
	fmt.Println(resp.Header["X-Ca-Error-Message"])
	body, _ := ioutil.ReadAll(resp.Body)
	fmt.Println(string(body))

}
